<bugID>914258<Summary>Backout the patch for bug 887515 and its dependencies from Firefox 25</Summary><Description>The amount of outstanding regressions based on the feature introduced in bug 887515 is too high and some of the fixes may be best if a new API was introduced (bug 895436).

This bug is to backout the patch for bug 887515 and its follow-up bugs from Firefox 25.</Description></bugID>